﻿:where(html) {
    --gray-0: #f8f9fa;
    --gray-1: #f1f3f5;
    --gray-9: #212529;
    --gray-12: #030507;
    --green-0: #ebfbee;
    --green-9: #2b8a3e;
    --red-0: #fff5f5;
    --red-1: #ffe3e3;
    --red-9: #c92a2a;
    --red-12: #7d1a1a;
    --border-size-1: 1px;
    --font-size-4: 1.5rem;
    --size-1: .25rem;
    --size-3: 1rem;
    --size-7: 2rem;
    --k4-primary: #fabb22;
    --k4-primary-reverse: var(--white);
    --k4-secondary: #008c8c;
    --k4-secondary-reverse: var(--white);
}

[data-column-filter="column-key-none"] :is(.column-key-profile, .column-key-prestation, .column-key-registrationfee),
[data-column-filter="column-key-profile"] :is(.column-key-prestation, .column-key-registrationfee),
[data-column-filter="column-key-prestation"] :is(.column-key-profile, .column-key-registrationfee),
[data-column-filter="column-key-registrationfee"] :is(.column-key-profile, .column-key-prestation) {
    display: none;
}

.table-filtered .filter-hide {
    display: none;
}

.w-100 {
    width: 100%;
}

/* ALERT */

.alert {
    --background-color: var(--gray-1);
    --border-color: var(--gray-9);

    background-color: var(--background-color);
    border: 1px solid var(--border-color);
}

.alert--error {
    --background-color: var(--red-0);
    --border-color: var(--red-9);
}

.alert--info {
    --background-color: var(--green-0);
    --border-color: var(--green-9);
}

.alert__header {
    font-weight: bold;
    margin-block: var(--size-3);
    padding-inline: var(--size-7);
}

.alert__body {
    margin-block: var(--size-3);
    padding-inline: var(--size-7);
}

/* FLEX */

.flex {
    display: flex;
}

.flex--cross-center,
.align-items-center {
    align-items: center;
}

.flex--cross-stretch {
    align-items: stretch;
}

.flex--main-center,
.justify-content-center {
    justify-content: center;
}

.flex--main-stretch {
    justify-content: stretch;
}

.flex-warp {
    flex-wrap: wrap;
}

.justify-content-space-between {
    justify-content: space-between;
}

.gap-10px {
    gap: 10px;
}

.flex__item--grow {
    flex-grow: 1;
}

.hyperlink {
    cursor: pointer;
}

.k4icon {
    height: 50px;
    width: 50px;
}

.popup-groupe-documents {
    max-height: 600px;
    min-width: 400px;
}

    .popup-groupe-documents .ccontainer {
        max-width: 800px;
    }

    .popup-groupe-documents .ccloseimg {
        filter: brightness(0);
        height: 20px;
        margin: 10px;
        width: 20px;
    }

    .popup-groupe-documents .cheader {
        background-color: white;
    }

    .popup-groupe-documents .cbody {
        background-color: white;
    }

.button-download-document {
    align-items: center;
    display: flex;
    margin: 5px;
    min-width: 200px;
    text-decoration: none;
}

.button-download-document:hover {
    text-decoration: underline;
}

/** LOADER **/

.loader-container {
    background-color: var(--loader-backdrop-color, rgba(0, 0, 0, .5));
    align-items: center;
    display: flex;
    justify-content: center;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    z-index: 999;
}

.loader-container.hide {
    display: none;
}

.loader {
    border: 16px solid var(--loader-background-color, #f3f3f3); /* Light grey */
    border-top: 16px solid var(--loader-foreground-color, #3498db); /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

/* DIALOG MODAL */

.dialog-modal:not([open]) {
    display: none;
}

.dialog-modal {
    border-width: 0;
    line-height: normal;
    max-width: 100%;
    min-width: 700px;
    padding: 0;
}

.dialog-modal::backdrop {
    background-color: var(--k4-backdrop, rgba(0, 0, 0, .5));
}

.dialog-modal span {
    line-height: normal;
}

.dialog-modal .dialog-modal-header,
.dialog-modal .dialog-modal-content,
.dialog-modal .dialog-modal-actions {
    padding: var(--size-3);
}

.dialog-modal .dialog-modal-header {
    color: var(--k4-primary, #076382);
    font-size: 2rem;
    text-align: center;
}

.dialog-modal .dialog-modal-actions {
    text-align: right;
}

    .dialog-modal button, .dialog-modal input[type=submit],
    #contenu .dialog-modal .dialog-modal-actions a.k4-button {
        background-color: var(--k4-primary, #2778c4);
        border-radius: .25em;
        border-width: 0;
        color: var(--k4-primary-reverse, #ffffff);
        padding: .5rem 1rem;
        text-decoration: none;
    }

.dialog-modal button:hover,
.dialog-modal .k4-button:hover {
    background-image: linear-gradient(rgba(0, 0, 0, .1), rgba(0, 0, 0, .1));
}

/* K4-BUTTON */

.k4-button {
    padding-block: var(--size-3);
    padding-inline: var(--size-7);
    text-decoration: none;
    text-transform: uppercase;
    transition: box-shadow 200ms ease;
}

.k4-button:hover {
    box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, .1);
}

.k4-button--primary,
#contenu a.k4-button--primary {
    background-color: var(--k4-primary);
    color: var(--k4-primary-reverse);
}

/* K4-DROPDOWNLIST */

.k4-dropdownlist {
    --border-color: #c3c3c3;
    border: solid 1px var(--border-color);
    outline: none;
}

.k4-dropdownlist:invalid {
    background-color: var(--red-0);
    border: var(--border-size-1) solid var(--danger);
}

/* K4-MODAL */

.k4-modal__title {
    font-family: "Arquitecta-heavy", Sans-serif;
    font-size: var(--font-size-4);
    font-weight: 500;
    margin-block: 0;
    margin-inline: 0;
    padding: var(--size-3);
}

.k4-modal__close {
    cursor: pointer;
    font-size: var(--font-size-3);
    font-weight: bold;
    padding: var(--size-3);
}

.k4-modal__close:hover {
    box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, .1);
}

.k4-modal__actions {
    align-items: center;
    display: flex;
    justify-content: flex-end;
    padding-block: var(--size-3);
    padding-inline: var(--size-7);
}

/* K4-RADIOBUTTONLIST */

.k4-radiobuttonlist-horizontal {
    border: #c3c3c3 solid 1px;
    border-collapse: separate;
    border-spacing: 0;
    overflow: hidden;
}

.k4-radiobuttonlist-horizontal td {
    padding: 0;
}

.k4-radiobuttonlist-horizontal input {
    display: none;
}

.k4-radiobuttonlist-horizontal label {
    background-color: var(--k4-primary);
    color: var(--k4-primary-reverse);
    cursor: pointer;
    margin: 0;
    padding-block: var(--size-1);
    padding-inline: var(--size-3);
    transition: box-shadow 200ms ease;
}

.k4-radiobuttonlist-horizontal label::before {
    content: '\f111'; /* empty circle */
    font-family: 'Font Awesome 5 Pro';
    font-weight: 400;
    padding-inline-end: .5em;
}

.k4-radiobuttonlist-horizontal input:checked + label {
    background-color: var(--k4-secondary);
    color: var(--k4-secondary-reverse);
}

.k4-radiobuttonlist-horizontal input:checked + label::before {
    content: '\f058'; /* check circle */
}

.k4-radiobuttonlist-horizontal label:hover {
    box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, .1);
}

/* K4-SHAKE */

.k4-shake,
#contenu a.k4-button--primary.k4-shake {
    background-color: var(--danger);
    animation-duration: 300ms;
    animation-name: k4-shake;
}

@keyframes k4-shake {
    from {
        transform: translateX(0);
    }

    25% {
        transform: translateX(-.5rem);
    }

    75% {
        transform: translateX(.5rem);
    }

    to {
        transform: translateX(0);
    }
}

/* K4-TAB-CONTAINER */

.k4-tab__button {
    background-color: var(--k4-primary);
    color: var(--k4-primary-reverse);
    cursor: pointer;
    transition: box-shadow 200ms ease;
}

.k4-tab__button:hover {
    box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, .1);
}

.k4-tab__button.k4-tab--selected {
    background-color: var(--k4-secondary);
    color: var(--k4-secondary-reverse);
}

.k4-tab__content:not(.k4-tab--selected) {
    display: none;
}

/* K4-TEXTBOX */

.k4-textbox {
    border: var(--border-size-1) solid #c3c3c3;
    border-radius: 0;
    outline: none;
}

.k4-textbox:invalid {
    background-color: var(--red-0);
    border: var(--border-size-1) solid var(--danger);
}

/* K4-TITLE */

.k4-title--3 {
    color: var(--k4-secondary);
    padding-inline: var(--size-7);
}

/* FIELDS */

.fields {
    padding-block: var(--size-3);
}

.field {
    column-gap: var(--size-7);
    display: grid;
    grid-template-columns: 1fr 3fr;
    padding-inline: var(--size-7);
}

.field > * {
    padding-block: var(--size-3);
}

.field__label,
.field-name {
    align-items: center;
    display: flex;
    font-family: "Arquitecta-regular", Sans-serif;
    font-weight: bold;
    justify-content: flex-end;
    text-align: right;
    text-transform: uppercase;
}

.dialog-modal .field {
    grid-template-columns: 1fr 2fr;
}

/* TEXT */

.text-danger {
    color: var(--danger);
}

/* K4 SCROLL PANEL */

.k4-scrollpanel-y {
    max-width: 100vw;
    overflow-y: auto;
}

/* TABLE FAILED */

.table--failed {
    border-collapse: collapse;
}

.table--failed td {
    border: var(--border-size-1) solid var(--gray-9);
    min-width: 150px;
    padding-block: var(--size-1) !important;
    padding-inline: var(--size-3) !important;
}

.table--failed .table__header td {
    background-color: var(--gray-12);
    color: var(--gray-0);
}
